From 36cd787327673303cd730766e28b306617c0e4f1 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:57:09 +0200
Subject: [PATCH 06/30] Convert slurm_conf.comm_params ->
 slurm_get_comm_parameters()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index b4db0e47be..82a1577810 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -916,8 +916,10 @@ static int _check_hash(buf_t *buffer, header_t *header, slurm_msg_t *msg,
 	static bool block_null_hash = true;
 
 	if (config_update != slurmctld_conf.last_update) {
-		block_null_hash = (xstrcasestr(slurm_conf.comm_params,
+	        char * comm_parameters = slurm_get_comm_parameters();
+		block_null_hash = (xstrcasestr(comm_parameters,
 					       "block_null_hash"));
+		xfree(comm_parameters);
 		config_update = slurmctld_conf.last_update;
 	}
 
-- 
2.35.3


